/company/state-tax-fields/{fips}

Get state tax fields by fips code

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The response contains information on what options are available for that state and how to display them. Each state is unique.

{
    "state_information": {
        "name": "California"
    },
    "display_fields": {
        "state_misc_1_value": {
            "label": "Filing Status",
            "enum": [
                "S",
                "M",
                "H"
            ],
            "type": "select",
            "options": [
                {
                    "label": "Single or Married with Dual Employers",
                    "value": "S"
                },
                {
                    "label": "Married filing Jointly",
                    "value": "M"
                },
                {
                    "label": "Unmarried Head of Household",
                    "value": "H"
                }
            ],
            "required": true
        },
        "state_misc_3_value": {
            "label": "Regular Allowances",
            "pattern": "^\\d{0,6}$",
            "type": "text",
            "required": false
        },
        "state_misc_2_value": {
            "label": "Additional Allowances",
            "pattern": "^\\d{0,6}$",
            "type": "text",
            "required": false
        },
        "sit_additional_amount": {
            "label": "Additional Withholding",
            "pattern": "^\\d{0,6}(\\.\\d{1,6})?$",
            "type": "text",
            "required": false
        },
        "sdi_exempt": {
            "label": "SDI Exempt",
            "enum": [
                "0",
                "1"
            ],
            "type": "radio",
            "options": [
                {
                    "label": "True",
                    "value": "1"
                },
                {
                    "label": "False",
                    "value": "0"
                }
            ],
            "required": true
        },
        "state_misc_4_value": {
            "label": "Use Supplemental Bonus Rate",
            "enum": [
                "",
                "BONUS"
            ],
            "type": "radio",
            "options": [
                {
                    "label": "True",
                    "value": "BONUS"
                },
                {
                    "label": "False",
                    "value": ""
                }
            ],
            "required": true
        },
        "sit_exempt": {
            "label": "Exempt From State Withholding",
            "enum": [
                "0",
                "1"
            ],
            "type": "radio",
            "options": [
                {
                    "label": "True",
                    "value": "1"
                },
                {
                    "label": "False",
                    "value": "0"
                }
            ],
            "required": true
        },
        "state_resident": {
            "label": "State Resident",
            "enum": [
                "0",
                "1"
            ],
            "type": "radio",
            "options": [
                {
                    "label": "True",
                    "value": "1"
                },
                {
                    "label": "False",
                    "value": "0"
                }
            ],
            "required": true
        }
    }
}
Path Params
string
required
Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json